View a markdown version of this page

StartNotebookImport - Amazon DataZone

StartNotebookImport

Starts a notebook import in Amazon SageMaker Unified Studio. This operation imports a notebook from an Amazon Simple Storage Service location into a project.

Request Syntax

POST /v2/domains/domainIdentifier/notebook-imports HTTP/1.1 Content-type: application/json { "clientToken": "string", "description": "string", "name": "string", "owningProjectIdentifier": "string", "sourceLocation": { ... } }

URI Request Parameters

The request uses the following URI parameters.

domainIdentifier

The identifier of the Amazon SageMaker Unified Studio domain in which to import the notebook.

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure idempotency of the request. This field is automatically populated if not provided.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\x21-\x7E]+

Required: No

description

The description of the imported notebook.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Required: No

name

The name of the imported notebook. The name must be between 1 and 256 characters.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Required: Yes

owningProjectIdentifier

The identifier of the project that will own the imported notebook.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

Required: Yes

sourceLocation

The source location of the notebook to import. This specifies the Amazon Simple Storage Service URI of the notebook file.

Type: SourceLocation object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "createdAt": number, "createdBy": "string", "description": "string", "domainId": "string", "name": "string", "notebookId": "string", "owningProjectId": "string", "sourceLocation": { ... }, "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp of when the notebook import was started.

Type: Timestamp

createdBy

The identifier of the user who started the notebook import.

Type: String

description

The description of the imported notebook.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

domainId

The identifier of the Amazon SageMaker Unified Studio domain.

Type: String

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

name

The name of the imported notebook.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

notebookId

The identifier of the imported notebook.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

owningProjectId

The identifier of the project that owns the imported notebook.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

sourceLocation

The source location from which the notebook was imported.

Type: SourceLocation object

Note: This object is a Union. Only one member of this object can be specified or returned.

status

The status of the notebook import.

Type: String

Valid Values: ACTIVE | ARCHIVED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

There is a conflict while performing this action.

HTTP Status Code: 409

InternalServerException

The request has failed because of an unknown error, exception or failure.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource cannot be found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request has exceeded the specified service quota.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

UnauthorizedException

You do not have permission to perform this action.

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: